Prepare a withdraw-after-cooldown transaction
curl --request POST \
--url https://staking.x402layer.cc/api/agent/claim-unstake \
--header 'Content-Type: application/json' \
--data '
{
"wallet": "<string>"
}
'import requests
url = "https://staking.x402layer.cc/api/agent/claim-unstake"
payload = { "wallet": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({wallet: '<string>'})
};
fetch('https://staking.x402layer.cc/api/agent/claim-unstake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action": "stake",
"note": "<string>",
"transactions": [
{
"description": "Stake 50000 $SGL as compute",
"transaction": "<string>",
"blockhash": "<string>",
"lastValidBlockHeight": 123
}
],
"next": "Sign each transaction with your wallet keypair, then POST /api/agent/submit { transaction }."
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Staking Engine
Withdraw after cooldown
Only succeeds after the cooldown has elapsed (see positions.claimableUnlock).
POST
/
api
/
agent
/
claim-unstake
Prepare a withdraw-after-cooldown transaction
Body
application/json
Was this page helpful?
⌘I
